package com.xty.network.model

import java.io.Serializable

 data class KeeperBean(
    val id:String,
    val avatar: String,
    val dictName: String,
    val endTime: String,
    val gender: Int?,
    val notEndTime: Any,
    val notStartTime: Any,
    val notWeekNum: Any,
    val organization: String,
    val personCountHour: Int,
    val personTime: Int,
    val positionName: String,
    val realname: String,
    val resEndTime: String,
    val resStartTime: String,
    val jobProverb: String,
    val restDate: Any,
    val startTime: String,
    val time: List<String>,
    val visitPrice: Double,
    val weekNum: Int,
    val headUrl: String?,
    val phone: String?,
    val intro: String?,
    val experience: String?,
    val introUrl: String?,
) :Serializable {
   fun getGenderValue():Int{
      var result = gender
      if (result!=2){
         result=1
      }
      result = result - 1
      if (result!=1){
         result=0
      }
      return result
   }
}